# List all parcels Returns a list of all parcel objects. Endpoint: GET /parcels Version: 2018-02-08 Security: APIKeyHeader ## Query parameters: - `page` (integer) The page number you want to select - `results` (integer) The number of results to return per page (max 100) ## Header parameters: - `SHIPPO-API-VERSION` (string) Optional string used to pick a non-default API version to use. See our API version guide. Example: "2018-02-08" ## Response 200 fields (application/json): - `next` (string) Example: "baseurl?page=3&results=10" - `previous` (string) Example: "baseurl?page=1&results=10" - `results` (array) - `results.extra` (object) An object holding optional extra services to be requested for each parcel in a multi-piece shipment. The following values are supported for the extra field of the parcel object. - `results.extra.COD` (object) Specify collection on delivery details (UPS only). - `results.extra.COD.amount` (string) Amount to be collected. Example: "5.5" - `results.extra.COD.currency` (string) Currency for the amount to be collected. Currently only USD is supported for UPS. Example: "USD" - `results.extra.COD.payment_method` (string) Secured funds include money orders, certified cheques and others (see UPS for details). If no payment_method inputted the value defaults to "ANY".) Enum: "SECURED_FUNDS", "CASH", "ANY" - `results.extra.insurance` (object) To add insurance to your parcel, specify amount, content and currency. If you do not want to add insurance to you parcel, do not set these parameters. - `results.extra.insurance.amount` (string) Declared value of the goods you want to insure. Example: "5.5" - `results.extra.insurance.content` (string) Description of parcel content. Example: "Laptop" - `results.extra.insurance.currency` (string) Currency for the amount value. Currently only USD is supported for FedEx and UPS. Example: "USD" - `results.extra.insurance.provider` (string) To have insurance cover provided by a carrier directly instead of Shippo's provider (XCover), set provider to FEDEX, UPS, or ONTRAC. Enum: "FEDEX", "UPS", "ONTRAC" - `results.extra.reference_1` (string) Optional text to be printed on the shipping label if supported by carrier. Up to 50 characters. Carrier-Specific Constraints: | Carrier | Constraints | |:---|:---| | FedEx | Max 40 characters (Express services); Max 30 characters (Ground services) | - `results.extra.reference_2` (string) Optional text to be printed on the shipping label if supported by carrier. Up to 50 characters. Carrier-Specific Constraints: | Carrier | Constraints | |:---|:---| | FedEx | Max 30 characters | - `results.metadata` (string) Example: "Customer ID 123456" - `results.mass_unit` (string, required) The unit used for weight. Enum: "g", "kg", "lb", "oz" - `results.weight` (string, required) Weight of the parcel. Up to six digits in front and four digits after the decimal separator are accepted. Example: "1" - `results.distance_unit` (string, required) The measure unit used for length, width and height. Enum: "cm", "in", "ft", "m", "mm", "yd" - `results.height` (string, required) Height of the parcel. Up to six digits in front and four digits after the decimal separator are accepted. Example: "1" - `results.length` (string, required) Length of the Parcel. Up to six digits in front and four digits after the decimal separator are accepted. Example: "1" - `results.width` (string, required) Width of the Parcel. Up to six digits in front and four digits after the decimal separator are accepted. Example: "1" - `results.object_created` (string) Date and time of Parcel creation. Example: "2014-07-09T02:19:13.174Z" - `results.object_id` (string) Unique identifier of the given Parcel object. This ID is required to create a Shipment object. Example: "adcfdddf8ec64b84ad22772bce3ea37a" - `results.object_owner` (string) Username of the user who created the Parcel object. Example: "shippotle@shippo.com" - `results.object_state` (string) A Parcel will only be valid when all required values have been sent and validated successfully. Enum: "VALID" - `results.object_updated` (string) Date and time of last Parcel update. Since you cannot update Parcels after they were created, this time stamp reflects the time when the Parcel was changed by Shippo's systems for the last time, e.g., during sorting the dimensions given. Example: "2014-07-09T02:19:13.174Z" - `results.template` (any) - `results.test` (boolean) Indicates whether the object has been created in test mode.